function Update(self)
	-- rings
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength = math.floor(Offset.Magnitude+0.5)
	for i = 1, trailLength, 100 do
		Effect = CreateAEmitter("Ellipse Emitter", "ATech.rte")
		if Effect then
			Effect.Pos = self.Pos - Offset * (i/trailLength) + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			Effect.Vel = self.Vel * RangeRand(0.1, 0.1)
			MovableMan:AddParticle(Effect)
		end
	end

	-- beam trail
	local Effect2
	local Offset2 = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength2 = math.floor(Offset.Magnitude+0.5)
	for i = 1, trailLength2, 1 do
		Effect2 = CreateMOSParticle("RSR Trail", "ATech.rte")
		if Effect2 then
			Effect2.Pos = self.Pos - Offset * (i/trailLength2) -- + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			--Effect2.Vel = self.Vel * RangeRand(0.1, 0.1)
			MovableMan:AddParticle(Effect2)
		end
	end
end
